Content-type: text/html; charset=UTF-8

# x2gostartagent

Section: X2Go Server Tool (8)
Updated: Aug 2023
Index Return to Main Contents

## NAME

x2gostartagent - Start a New X2Go Session

## SYNOPSIS

x2gostartagent <geometry> \
<link_quality> \
<nx_pack_meth> \
<cache_type+dpi> \
<kblayout> \
<kbtype> \
<setkbd> \
<session_type> \
<command> \
<clipboardmode> \

## DESCRIPTION

x2gostartagent coordinates the startup process of a new X2Go session. It expects quite a list of parameters, all of which are obligatory.

x2gostartagent is run with X2Go user privileges and normally executed by an X2Go client application.

## ARGUMENTS

<geometry>
  Session window size on screen (allowed values: <width>x<height> or fullscreen).
<link_quality>
  Any value out of: modem, isdn, adsl, wan or lan.
<nx_pack_method>
  NX compression method (see below for possible values).
<cache_type+dpi>
  Cache type and color depth for X2Go session window. The most common value is: unix-kde-depth_24 where ,,24'' is the color depth in bit.
<kblayout>
  Keyboard layout (e.g. us, de, etc.).
<kbtype>
  Keyboard type/model (e.g. pc105/us).
<setkbd>
  Force setting keyboard layout and type within the X2Go session on startup. Values: 0 or 1.
<session_type>
  Allowed values for <session_type> are: D (desktop), R (rootless) or S (shadow session, X2Go desktop sharing).
<command>
  The command given by the <command> argument is only used to create the session ID for this new X2Go session. The actual execution of a command is handled by x2goruncommand.
<clipboardmode>
  The session's clipboard mode. Possible values: both, server, client, none. Allows one to configure clipboard security per session via the connecting X2Go client. If the clipboard parameter is set server-side in /etc/x2go/x2goagent.options, then that value will override client-side settings.

## RETURN VALUES

A list of session attributes is returned after successful session startup. Session attributes will be presented on a line-by-line basis:

field 01: <X_display_number>
field 02: <session_cookie_hash>
field 03: <agent_pid>
field 04: <session_id>
field 05: <graphics_port>
field 06: <sound_port>
field 07: <sshfs_port>
field 08: <tekictrl_port> (if Telekinesis is available/enabled)
field 09: <tekidata_port> (if Telekinesis is available/enabled)

## NX COMPRESSION METHODS

As NX compression methods (<link-quality> argument) the following values are possible. The % character must be replaced by a digit 0-9.

nopack, 8, 64, 256, 512, 4k, 32k, 64k, 256k, 2m, 16m 256-rdp, 256-rdp-compressed, 32k-rdp, 32k-rdp-compressed, 64k-rdp 64k-rdp-compressed, 16m-rdp, 16m-rdp-compressed rfb-hextile, rfb-tight, rfb-tight-compressed 8-tight, 64-tight, 256-tight, 512-tight, 4k-tight, 32k-tight 64k-tight, 256k-tight, 2m-tight, 16m-tight 8-jpeg-%, 64-jpeg, 256-jpeg, 512-jpeg, 4k-jpeg, 32k-jpeg 64k-jpeg, 256k-jpeg, 2m-jpeg, 16m-jpeg-% 8-png-jpeg-%, 64-png-jpeg, 256-png-jpeg, 512-png-jpeg, 4k-png-jpeg 32k-png-jpeg, 64k-png-jpeg, 256k-png-jpeg, 2m-png-jpeg, 16m-png-jpeg-% 8-png-%, 64-png, 256-png, 512-png, 4k-png 32k-png, 64k-png, 256k-png, 2m-png, 16m-png-% 16m-rgb-%, 16m-rle-%

## SEE ALSO

x2goruncommand(8), x2goresume-session(8), x2gosuspend-session(8), x2goterminate-session(8)

## AUTHOR

This manual has been written by Mike Gabriel <mike.gabriel@das-netzwerkteam.de> for the X2Go project (https://www.x2go.org).

## Index

NAME
SYNOPSIS
DESCRIPTION
ARGUMENTS
RETURN VALUES
NX COMPRESSION METHODS
SEE ALSO
AUTHOR

This document was created by man2html, using the manual pages.
Time: 17:52:57 GMT, February 18, 2025